Bug 28506 - TFTP: error code 2: Access Violation
Summary: TFTP: error code 2: Access Violation
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tftp   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Helge Deller
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-20 21:17 UTC by Bill Thompson
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 22:46:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Thompson 2001-02-20 21:17:05 UTC
From Bugzilla Helper:

User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Mac_PowerPC)





TFTP connections give "TFTP: error code 2: Access Violation" on read 
and write. Tested on Cisco IOS 12.0, RH6.0, and RH7.0.



Reproducible: Always

Steps to Reproduce:

1. Activate TFTP server.

2. connect with TFTP from a diffrent machine on the network.

3. set verbose mode on "verbose on"

4. Try to send or receive a file using normal TFTP methods.

	



Actual Results:  In verbose mode you will get the message:

Error code 2: Access violation



Expected Results:  The file should be copied from or to the tftp server.



I have duplicated this with two seperate RH7.0 installs on diffrent  
computers. Either it is a bug with the tftp-server 0.17-5 package or 
there is an undocumented security restriction in RH7.0. Telnet, SSH, 
and FTP access all behave normally on the systems affected.

Comment 1 Pekka Savola 2001-02-20 22:46:33 UTC
tftp-server access semantics have changed from RHL62 to RHL7.

If you don't enable chroot, you must do like:

get /tftpboot/file.gz

RHL62 version would allow you to omit tftpboot.


Comment 2 Helge Deller 2001-02-21 12:46:13 UTC
fixed in tftp-server-0.17-9,
either update to this version from rawhide, or follow pekkas comments and use 
"get /tftpboot/file.gz"



Comment 3 agyorgi 2001-02-28 03:40:29 UTC
tftp-server-0.17-9 is not in the Raw Hide section... in fact, there isn't any version of tftp-server in the Raw Hide section. I too am facing
similar issues with tftp. Please point us to the right direction to obtain it. 


Comment 4 Pekka Savola 2001-02-28 09:04:36 UTC
Rawhide isn't updated too often, but you can also get this from the beta section:

ftp://ftp.redhat.com/pub/redhat/beta/wolverine/en/OS/i386/RedHat/RPMS/



Note You need to log in before you can comment on or make changes to this bug.